Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class RBox

    java.lang.Object
      org.mindswap.pellet.RBox

    public class RBox

extends java.lang.Object

Title:

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`RBox()`

Method Summary
`Role` | `addAnnotationRole(aterm.ATermAppl r)`
`Role` | `addDatatypeRole(aterm.ATermAppl r)`
`boolean` | `addDisjointRole(aterm.ATerm s, aterm.ATerm r)`
`boolean` | `addEquivalentRole(aterm.ATerm s, aterm.ATerm r)`
`boolean` | `addEquivalentRole(aterm.ATerm s, aterm.ATerm r, DependencySet ds)`
`boolean` | `addInverseRole(aterm.ATerm s, aterm.ATerm r, DependencySet ds)`
`Role` | `addObjectRole(aterm.ATermAppl r)`
`Role` | `addOntologyRole(aterm.ATermAppl r)`
`Role` | `addRole(aterm.ATermAppl r)`
`boolean` | `addSameRole(aterm.ATerm s, aterm.ATerm r)` Deprecated. Use addEquivalentRole instead
`boolean` | `addSubRole(aterm.ATerm sub, aterm.ATerm sup)`
`boolean` | `addSubRole(aterm.ATerm sub, aterm.ATerm sup, DependencySet ds)`
`Role` | `getDefinedRole(aterm.ATerm r)` Return the role with the given name and throw and exception if it is not found.
`java.util.Set<Role>` | `getReflexiveRoles()`
`Role` | `getRole(aterm.ATerm r)` Return the role with the given name
`java.util.Set` | `getRoleNames()`
`java.util.Collection<Role>` | `getRoles()` getRoles
`Taxonomy` | `getTaxonomy()`
`aterm.ATermList` | `inverse(aterm.ATermList roles)` for each role in the list finds an inverse role and returns the new list.
`boolean` | `isConsistent()` Deprecated. Inconsistent axioms are rejected
`boolean` | `isRole(aterm.ATerm r)` check if the term is declared as a role
`void` | `prepare()`
`java.lang.String` | `toString()` Returns a string representation of the RBox where for each role subroles, superroles, and isTransitive information is given

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### RBox

    public RBox()

Method Detail

### getRole

    public Role getRole(aterm.ATerm r)

  Return the role with the given name

  Parameters:
    `r` - Name (URI) of the role
  Returns:

### getDefinedRole

    public Role getDefinedRole(aterm.ATerm r)

  Return the role with the given name and throw and exception if it is not found.

  Parameters:
    `r` - Name (URI) of the role
  Returns:

### isConsistent

    public boolean isConsistent()

  Deprecated. Inconsistent axioms are rejected

### addRole

    public Role addRole(aterm.ATermAppl r)

### addObjectRole

    public Role addObjectRole(aterm.ATermAppl r)

### addDatatypeRole

    public Role addDatatypeRole(aterm.ATermAppl r)

### addAnnotationRole

    public Role addAnnotationRole(aterm.ATermAppl r)

### addOntologyRole

    public Role addOntologyRole(aterm.ATermAppl r)

### addSubRole

    public boolean addSubRole(aterm.ATerm sub,
                              aterm.ATerm sup)

### addSubRole

    public boolean addSubRole(aterm.ATerm sub,
                              aterm.ATerm sup,
                              DependencySet ds)

### addSameRole

    public boolean addSameRole(aterm.ATerm s,
                               aterm.ATerm r)

  Deprecated. Use addEquivalentRole instead

### addEquivalentRole

    public boolean addEquivalentRole(aterm.ATerm s,
                                     aterm.ATerm r)

### addEquivalentRole

    public boolean addEquivalentRole(aterm.ATerm s,
                                     aterm.ATerm r,
                                     DependencySet ds)

### addDisjointRole

    public boolean addDisjointRole(aterm.ATerm s,
                                   aterm.ATerm r)

### addInverseRole

    public boolean addInverseRole(aterm.ATerm s,
                                  aterm.ATerm r,
                                  DependencySet ds)

### isRole

    public boolean isRole(aterm.ATerm r)

  check if the term is declared as a role

### prepare

    public void prepare()

### toString

    public java.lang.String toString()

  Returns a string representation of the RBox where for each role subroles, superroles, and isTransitive information is given

  Overrides:
    `toString` in class `java.lang.Object`

### inverse

    public aterm.ATermList inverse(aterm.ATermList roles)

  for each role in the list finds an inverse role and returns the new list.

### getRoleNames

    public java.util.Set getRoleNames()

  Returns:
    Returns the roles.

### getReflexiveRoles

    public java.util.Set<Role> getReflexiveRoles()

### getRoles

    public java.util.Collection<Role> getRoles()

  getRoles

  Returns:

### getTaxonomy

    public Taxonomy getTaxonomy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.